<?php
/*
+--------------------------------------------+
| derebloc v. 0.4a - 2009 09 01
+--------------------------------------------+
| plugin spip 2.0.x
+--------------------------------------------+
| H. AROUX . Scoty . koakidi.com
| Modifi par Eric SARDA [ www.sarda-eric.net ]
+--------------------------------------------+
| Definition des 3 balises pour block depliant.
| pipeline .. mes_fonctions
+--------------------------------------------+
*/


include_spip('inc/minipres');
include_spip('inc/layer');
	
function calculer_id_block($a='') {
	static $id_block = 0;
	$id_block++;
	if($a) { $id_block = $id_block-1; }
	return $id_block;
}

function balise_BOUTON_BLOCK($p) {
	if (sizeof($p->param)>0)  {
		$title = interprete_argument_balise(1,$p);
		$p->code = "bouton_block_depliable($title,false,'bout'.calculer_id_block())";
	}
	else  {
		$title = "";
		$p->code = "bouton_block_depliable('',false,'bout'.calculer_id_block())";
	}
	$p->interdire_scripts = false;
	return $p;
}

function balise_DEBUT_BLOCK($p) {
	$p->code = "debut_block_depliable(false,'bout'.calculer_id_block('1'))";
	$p->interdire_scripts = false;
	return $p;
}

function balise_FIN_BLOCK($p) {
	$p->code = "fin_block()";
	$p->interdire_scripts = false;
	return $p;
}




?>
